var group_type;
var gradeName;
var diffZhztinfoid;

apiready=function(){
	group_type = api.pageParam.group_type;
	diffZhztinfoid = api.pageParam.zhztinfoid;

    getSecNav(group_type).then(res=>{
		setSecNav(res, diffZhztinfoid);
	});
}

//二级导航数据
function getSecNav(group_type){
	return new Promise(function (resolve, reject){
		api.ajax({
			url : ztGroupURL + 'v2/ztgroup-id/' + group_type + '/' + apkType,
			method : 'post',
			cache : false,
			timeout : 30,
			dataType : 'json',
			data : {},
			returnAll : false,
		}, function(ret, err) {
			if(ret){
				// console.log(JSON.stringify(ret));
				resolve(ret);
				gradeName = ret[0].group_title;
				var html = '';
				for(var i=0;i<ret.length;i++){
					html += '<div class="swiper-slide">';
                        // 左侧按钮
						html += '<div class="book_cover" id="bookCover'+i+'">';
							// html += '<img onload="bkWidth()" class="bookCover" src="../../image/pages/course/bg2.png" />';
							// html += '<div class="leftbtnBoxTop" id="leftbtnBoxTop'+i+'"></div>';// 左侧单元
						html += '</div>';
                        // 右侧试卷
						html += '<ul class="vList vList'+i+'"></ul>';
					html += '</div>';
				}
				$api.html($api.byId('garde_name1'), ret[0].group_title);//插入年级
				$api.html($api.byId('swiper-wrapper'), html);//插入swiper-slide片段或范文dom片段
			}else {
				reject(err);
			}
		});
	});
}

//二级导航加载
function setSecNav(data, entityId){
	var secNum = 0;//记录二级导航位置
	var	ret=data;
	for(var i=0;i<data.length;i++){
		if(data[i].zhztinfoid == entityId){
			secNum = i;
			break;
		}
	}
	//加载二级导航
	mySwiper = new Swiper('.swiper-container',{
		pagination : {
			el : '#swiper-pagination',
			clickable : true,
			renderBullet : function(index, className) {
				var html_ = '';
				if (ret[index]) {
					if(wy_versionSwitch()&&ret[index].zhztinfo_title.indexOf('外研')>-1){
						html_ = '<div class="' + className + '" style="display:none;">';
					}else if(hwDataSelect()&&ret[index].zhztinfo_title.indexOf('沪教')>-1){
						html_ = '<div class="' + className + '" style="display:none;">';
					}else{
						html_ = '<div class="' + className + '">';
					}
                            html_ += '<span>' + ret[index].zhztinfo_title + '</span>';
                        html_ += '</div>';
				}
				return html_;
			}
		},
		on : {
			//切换执行
			slideChangeTransitionStart : function() {
				var navIndex = this.activeIndex;
				slideTo(navIndex);//二级导航栏定位
				getTest(navIndex,ret[navIndex].zhztinfoid);
			},
		},
		ouchMoveStopPropagation : false
	});
	mySwiper.slideTo(secNum, 0, false);//切换到第一个slide，速度为0秒
    slideTo(secNum);//二级导航栏定位
	getTest(secNum,ret[secNum].zhztinfoid);//加载对应的视频数据
}

//二级导航栏定位
function slideTo(navIndex){
	var distance=0;
	if(navIndex>2){//二级导航滚动位置控制--优化一下
		for(var n=3;n<=navIndex;n++){
			var btnWidth = $('.swiper-pagination-bullet:nth-child('+n+')')[0].clientWidth;
			distance += btnWidth;
		}
	}
	$('#swiper-pagination').scrollLeft(distance);//二级导航滚tmd
}

//左侧图片加载完再设宽，方便按钮设置大小
// function bkWidth(){
// 	$('.book_cover').width($('.bookCover').width()+'px');
// }

var testList=null;
function getTest(index, zhztinfoid) {
    api.ajax({
		url : examURL + '/testTbcsList',
		method : 'post',
		cache : false,
		timeout : 30,
		dataType : 'json',
		data : {
			values : {
				ztid : zhztinfoid
			}
		},
		returnAll : false,
	}, function(ret, err) {
		// console.log(JSON.stringify(ret, null, 4));
		if(ret){
			testList = ret.data;
			// 数组对象去重
			const obj = {}
			var testBtns = testList.reduce((total, current) => {
				obj[current.type] ? '' : obj[current.type] = true && total.push(current)
				return total
			}, [])
			var html = '';
			var dom = $('#bookCover'+index+'>div');
			if(dom && dom.length==0){//插入左侧单元列表&&防止重复插入按钮
				for (let i = 0; i < testBtns.length; i++) {
					html+='<div class="testBtn" onclick="setTestList('+testBtns[i].type+','+i+','+index+')">'
						html+='<img class="default" src="'+testBtns[i].type_pic_d+'" />'
						html+='<img class="focus" src="'+testBtns[i].type_pic_c+'" />'
					html+='</div>'
				}
				$('#bookCover'+index).html(html);
			}
			setTestList(testBtns[0].type, 0, index);
		}
	});
}

function setTestList(type, idx, index) {
	var btns = $api.domAll('#bookCover'+index+'>.testBtn');
	for (var i = 0; i < btns.length; i++) {
		if (i == idx) {
			$api.css($api.eq(btns[i], 1), 'display:none;');
			$api.css($api.eq(btns[i], 2), 'display:block;');
		} else {
			$api.css($api.eq(btns[i], 1), 'display:block;');
			$api.css($api.eq(btns[i], 2), 'display:none;');
		}
	}
	var html_ = '';
	for(var j=0;j<testList.length;j++){
		if(type===testList[j].type){
			html_ += '<li class="scroll_list_item" onclick="openTestDetails(\''+type+'\',\''+testList[j].item_id+'\',\''+testList[j].title+'\')">';
				html_ += '<img src="' + testList[j].paper_pic + '" />';
			html_ += '</li>';
		}
	}
	$api.html($api.dom('.vList'+index), html_);
}

function openTestDetails(pic_type, item_id, title) {
	let params = {
		pic_type: pic_type,
		itemid: item_id,
		list_title: title,
		type: 1,
		zt_type:'test_window'
	}
	openWindow ('testing','./qmfx/testing.html',params);
}